#
# $Id: design-bootsplash-Compact.spec,v 1.5 2005/05/14 08:50:51 rider Exp $
#

%define theme children
%define Theme children

Name: design-bootsplash-children
Version: 4.0.0
Release: alt6

Summary: Theme for splash animations during bootup
Summary(ru_RU.UTF-8): Тема для отображения графики в процессе загрузки
License: Distributable
Group: Graphics
Provides: design-bootsplash
Provides: design-bootsplash-%Theme = %version-%release
Requires: bootsplash >= 3.3

Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

BuildArch: noarch
# Theme file
Source: %name-%version.tar

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q

%build
%install
# create directory structure
mkdir -p %buildroot%_sysconfdir/bootsplash/themes/
cp -a *	%buildroot%_sysconfdir/bootsplash/themes/

pushd %buildroot%_sysconfdir/bootsplash/themes/%theme/config
#for i in 1 2 3 4 5 11; do \
for i in 1; do \
 for f in bootsplash-*.cfg; do \
    res=`echo "$f"| sed 's|.*\-\(.*\)\.cfg|\1|'`
    ln -s $f vt${i}-${res}.cfg
 done
done
popd

# create current bootloader themes
%post
%__ln_s -nf %theme %_sysconfdir/bootsplash/themes/current

%preun
[ $1 = 0 ] || exit 0
[ "`readlink %_sysconfdir/bootsplash/themes/current`" != %theme ] ||
    rm -f %_sysconfdir/bootsplash/themes/current

%files
%_sysconfdir/bootsplash/themes/%theme/

%changelog
* Tue Jun 17 2008 Alexandra Panyukova <mex3@altlinux.ru> 4.0.0-alt6
- build for children project

* Tue Oct 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt5
- fixed splash bar color

* Thu Oct 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt4
- splash changed from gray to yellow
- removed unusable configuration files

* Fri Aug 10 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt3
- distribution name on image changed

* Mon Jul 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt2
- added images for various resolutions

* Tue Jun 19 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt1
- Desktop version

* Thu May 31 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt3
- update graphics

* Mon May 21 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt2
- move animation upper

* Wed May 16 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt1
- add design for Server

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 2.9.6-alt1
- updated design

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.4-alt1
- fixed verbose mode (800x600)

* Thu Mar 24 2005 Anton Farygin <rider@altlinux.ru> 2.9.2-alt1
- new version

* Tue Oct 14 2003 Rider <rider@altlinux.ru> 2.2.9-alt2
- rebuild with new design-bootloader

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 2.2.9-alt1
- build with new design-bootloader

* Tue Jul 29 2003 Rider <rider@altlinux.ru> 2.2.2-alt3
- fix path to theme
- update images from ALT Linux Design

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt2
- fix splashscreen images bugs

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt1
- design update

* Thu Jul 17 2003 Rider <rider@altlinux.ru> 2.2.1-alt1
- first build
